Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

CreateVmSchedulingRule

CreateVmSchedulingRule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • ruleStringRequired

      The VM scheduling rule.

    • modeStringRequired

      The execution mode.

    • vmGroupUuidStringRequired

      The VM scheduling group UUID.

    • hostGroupUuidString

      The host scheduling group UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • policyString

      策略。

    • typeString

      类型。

    • zoneUuidString

      Optional. The zone UUID.

    • subTypeString

      订阅类型。

    • resourceUuidString

      The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • policyStringRequired

      策略信息。

    • versionStringRequired

      版本号。

    • typeStringRequired

      类型。

    • applianceStringRequired

      设备。

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages.

      • uuidStringRequired

        The resource UUID.

      • affinityGroupUuidStringRequired

        No description provided.

      • resourceUuidStringRequired

        资源UUID。若指定,资源会使用该字段值作为UUID。

      • resourceTypeStringRequired

        资源类型。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/vmsSchedulingRule

/zstack/v1/vmsSchedulingRule

Operation ID

CreateVmSchedulingRule

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vmsSchedulingRule' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"rule":"<rule>","mode":"<mode>","vmGroupUuid":"<vmGroupUuid>","hostGroupUuid":"<hostGroupUuid>","name":"<name>","description":"<description>","policy":"<policy>","type":"<type>","zoneUuid":"<zoneUuid>","subType":"<subType>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d517b42f669b324288fe8977a7df2e4d", "name": "affinity-group-test", "description": "affinity group for test", "policy": "ANTISOFT", "version": "1.0", "type": "HOST" } }

Change History

This API has no change history records yet.

View all change history